grk::DecodingParams Struct Reference

`#include <CodingParams.h>`

## Public Attributes

uint8_t | reduce_
| if != 0, then original dimension divided by 2^(reduce); if == 0 or not used, image is decompressed to the full resolution
uint16_t | layer_
| if != 0, then only the first "layer" layers are decompressed; if == 0 or not used, all the quality layers are decompressed
uint32_t | randomAccessFlags_

## Member Data Documentation

## layer_

uint16_t grk::DecodingParams::layer_

if != 0, then only the first "layer" layers are decompressed; if == 0 or not used, all the quality layers are decompressed

Referenced by grk::CodeStreamDecompress::init().

## randomAccessFlags_

uint32_t grk::DecodingParams::randomAccessFlags_

Referenced by grk::CodeStreamDecompress::init(), grk::CodeStreamDecompress::read_plt(), and grk::CodeStreamDecompress::read_tlm().

## reduce_

uint8_t grk::DecodingParams::reduce_

if != 0, then original dimension divided by 2^(reduce); if == 0 or not used, image is decompressed to the full resolution

Referenced by grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTiles(), grk::TileProcessor::getMaxNumDecompressResolutions(), grk::CodeStreamDecompress::init(), grk::GrkImage::postReadHeader(), and grk::CodeStreamDecompress::setDecompressRegion().

The documentation for this struct was generated from the following file:

- CodingParams.h